Playlist list
GET
/playlistsSearch and list public playlists.
| Auth | Not required |
|---|
Query parameters
pagenumberPage number (1-based). Default 1
perPagenumberItems per page. Default 20
qstringKeyword (name / description, AND)
sort'created' | 'updated'Sort. Default created
featured'true'Featured only
Response
| Field | Type | Description |
|---|---|---|
playlists | Playlist[] | Playlists (with itemCount / community) |
pageInfo | object | Pagination info (totalCount / totalPages / page / perPage) |
Request
curl https://api.4s.link/playlists \-H "Authorization: Bearer 4s_at_..."
Example response
{"playlists": [{"id": "pl1-...","communityId": "c1d2e3f4-...","name": "おすすめイベント","description": "...","thumbnailImageUrl": "https://.../thumb.png","sortOrder": 0,"sticky": false,"featured": false,"itemCount": 5,"community": { "id": "c1d2e3f4-...", "name": "4S Developers", "slug": "4s-devs" },"createdAt": "2026-01-01T00:00:00.000Z"}],"pageInfo": { "totalCount": 100, "totalPages": 5, "page": 1, "perPage": 20 }}